<?php

	$commandLineArguments = $_SERVER["argv"];
	
	foreach($commandLineArguments as $argument) {
		if( !strpos($argument, "=") )
			continue;
		
		$key = substr($argument, 0, strpos($argument, "="));
		$value = substr($argument, strpos($argument, "=")+1, strlen($argument));
		
		$args[$key] = $value;
	}
		
	echo '<div style="font-size:9px;">';
	printGame($i);
	echo '</div>';
	
	function downloadData($url) {
		
		// Download File
		$ch = curl_init($url);
		$fp = fopen('/tmp/nflschedule', 'w');
		
		curl_setopt($ch, CURLOPT_FILE, $fp);
		curl_setopt($ch, CURLOPT_HEADER, 0);
		
		curl_exec($ch);
		curl_close($ch);
		fclose($fp);
		
		// Read File
		$fp = fopen('/tmp/nflschedule', 'r');
		$data = fread($fp, filesize('/tmp/nflschedule'));
		fclose($fp);
		
		return $data;
	}

	function printGame($offset) {
	
		global $args;
		
		// Download Data
		$data = downloadData('http://www.nfl.com/liveupdate/scorestrip/scorestrip.json');
		
		require_once('JSON/JSON.php');
		$json = new Services_JSON(SERVICES_JSON_LOOSE_TYPE);
		$array = $json->decode($data);
		
		// error checking
		if( !$array['ss'] )
			return;
		
		// loop through every game
		foreach ($array['ss'] as $game) {
		
			// skip game if it's not the one we want
			if( strtolower($game[4]) != $args['team'] &&
				strtolower($game[6]) != $args['team'] )
				continue;
				
			function printScore($team, $possession, $score) {
				
				if( $possession != "" ) {
					echo '<div style="font-size:15px; float:left; margin:5px 0 0 -5px;">';
					if( $team == $possession )
						echo '•';
					echo '</div>';
				}
					
				if( $possession != "" )
					echo '<div style="font-size:25px; margin-left:6px;">';
				else
					echo '<div style="font-size:25px;">';
				
					echo $team;
					
					echo '<span style="float:right;">';
					if( $score != '' )
						echo $score;
					else
						echo '--';
					echo '</span>';
				echo '</div>';
			}
			
			// score
			printScore( $game[4], $game[8], $game[5] );
			printScore( $game[6], $game[8], $game[7] );
			
			// Future Game
			if( $game[2] == "Pregame" ) {
	
				// Convert Time to Timezone
				$gameTime = $game[1];
				$minutes = substr($gameTime, strpos($gameTime, ":")+1, strlen($gameTime));
				$hours = (int)substr($gameTime, 0, strpos($gameTime, ":")) + (int)$args['timezoneOffset'];
				if( $hours < 1 )
					$hours += 12;
			
				$gameTime = $hours . ":" . $minutes;
							
				// Day, Time and Status
				echo '<div style="font-size:15px; margin-top:20px;">' . $game[0] . '<span style="float:right;">' . $gameTime . '</span></div>';
			
			}
			
			// Current Game
			else {
			
				// Quarter or Half
				echo '<div style="font-size:15px; margin-top:20px;">';
				
				if( (int) $game[2] ) 
					echo 'Q' . $game[2] . '<span style="float:right;">' . $game[3] . '</span>';
				else
					echo $game[2];
					
				'</div>';
			}
		}
		
	}
	
	print "\n";
?>